
QGIS Application - Bug report #16584

QGIS crashes each time i hit OK from the Settings --> options dialog

2017-05-19 06:48 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24486

Description

User Feedback

I encounter this issue while modifying value of the Settings --> Options --> Data Sources --> Attribute table behavior. As soon as I hit 

Apply, BOOM! (note that my change is however saved)

Trying to reproduce the bug for the issue report, I found that QGIS crashes each time I hit the OK button of the Options dialog(no matter if

I change a setting or not). Hitting Cancel or closing with the cross does not crash QGIS.

PS: I'm not sure about the category I selected!!!

Report Details

Crash ID: dfa61f5e1010eb0b92957cc9d3b18050fd14eec7

Stack Trace

((unknown module)) QgsApplication::qt_metacast (unknown file):(unknown line)

((unknown module)) QgsGraduatedHistogramWidget::mouseRelease (unknown file):(unknown line)

((unknown module)) QgsGraduatedHistogramWidget::mouseRelease (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QDialog::done (unknown file):(unknown line)

((unknown module)) QgsGraduatedHistogramWidget::mouseRelease (unknown file):(unknown line)

((unknown module)) QgsGraduatedHistogramWidget::mouseRelease (unknown file):(unknown line)

((unknown module)) QgsGraduatedHistogramWidget::mouseRelease (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QDialogButtonBox::~QDialogButtonBox (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::clicked (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsApplication::qt_metacast (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsApplication::qt_metacast (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

((unknown module)) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

((unknown module)) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)
(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) CallWindowProcW (unknown file):(unknown line)

((unknown module)) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Widgets) QDialog::exec (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAction::activate (unknown file):(unknown line)

(Qt5Widgets) QMenu::actionGeometry (unknown file):(unknown line)

(Qt5Widgets) QMenu::actionGeometry (unknown file):(unknown line)

(Qt5Widgets) QMenu::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QMenu::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsApplication::qt_metacast (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsApplication::qt_metacast (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

((unknown module)) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

((unknown module)) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) CallWindowProcW (unknown file):(unknown line)

((unknown module)) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

((unknown module)) QgisApp::measureArea (unknown file):(unknown line)

((unknown module)) BaseThreadInitThunk (unknown file):(unknown line)

((unknown module)) RtlUserThreadStart (unknown file):(unknown line)

Plugins

Project Info

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: e505ebc

Compiled against Qt: 5.7.1

Running against Qt: 5.7.1

Compiled against GDAL: 2.1.3

Running against GDAL: 2.1.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

History

#1 - 2017-11-06 03:07 PM - Matthias Kuhn

- Status changed from Open to Feedback
Is this still an issue? I assume we would have a lot more feedback here if this was still an issue, as there are a lot of people daily using this button

repeatedly ;)

#2 - 2017-11-06 03:15 PM - Harrissou Santanna

- Status changed from Feedback to Closed

Closing given that I can not reproduce.
